<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}
/**
 * @var array $data
 *
 */
$post_id = $data['post_id'] ?? '';
$develuxsct_legend = $data['legend'] ?? '';
$develuxsct_key = $data['key'] ?? '';
$id = $data['id'] ?? '';
$develuxsct_class_name = $data['class_name'] ?? '';
$develuxsct_items = $data['items'] ?? 'center';
$develuxsct_flex_direction = $data['flex_direction'] ?? 'col';
$develuxsct_options = $data['options'] ?? [];
if (!$develuxsct_options) {
    return;
}
$develuxsct_data_property = $data['data_property'] ?? '';
$develuxsct_data_dimension_unit_type = $data['data_dimension_unit_type'] ?? '';
$develuxsct_data_target = $data['data_target'] ?? '';
$develuxsct_default_value = $data['default_value'] ?? '';
if ($post_id) {
    $develuxsct_post_meta_value = get_post_meta($post_id, $develuxsct_key, true) ?? $develuxsct_default_value;
} else {
    $develuxsct_post_meta_value = $data['value'] ?? $develuxsct_default_value;
}


?>
<div class="flex flex-<?php echo esc_attr($develuxsct_flex_direction); ?> gap-5 items-<?php echo esc_attr($develuxsct_items); ?> label-style">
    <label for="<?php echo esc_attr($id); ?>"><?php echo esc_html($develuxsct_legend); ?></label>
    <select data-default-value="<?php echo esc_attr($develuxsct_default_value); ?>"
            data-target="<?php echo esc_attr($develuxsct_data_target); ?>"
            data-property="<?php echo esc_attr($develuxsct_data_property); ?>"
            data-unit="<?php echo esc_attr($develuxsct_data_dimension_unit_type); ?>"
            id="<?php echo esc_attr($id); ?>"
            name="<?php echo esc_attr($develuxsct_key); ?>"
            class="<?php echo esc_attr($develuxsct_class_name); ?>">
        <?php
        foreach ($develuxsct_options as $develuxsct_value => $develuxsct_display_value): ?>
            <option value="<?php echo esc_attr($develuxsct_value); ?>" <?php selected(esc_attr($develuxsct_post_meta_value), esc_attr($develuxsct_value)); ?>><?php echo esc_html($develuxsct_display_value); ?></option>
        <?php endforeach; ?>
    </select>
</div>
